Package net.shibboleth.spring.security.trust

# Class AbstractStaticPKIXParser.X509CredentialNameEvaluatorFactoryBean

java.lang.Object
org.springframework.beans.factory.config.AbstractFactoryBean<X509CredentialNameEvaluator>
net.shibboleth.spring.security.trust.AbstractStaticPKIXParser.X509CredentialNameEvaluatorFactoryBean

All Implemented Interfaces:
  `Aware`, `BeanClassLoaderAware`, `BeanFactoryAware`, `DisposableBean`, `FactoryBean<X509CredentialNameEvaluator>`, `InitializingBean`

Enclosing class:
  AbstractStaticPKIXParser

protected static class AbstractStaticPKIXParser.X509CredentialNameEvaluatorFactoryBean extends AbstractFactoryBean<X509CredentialNameEvaluator>
FactoryBean to do a deferred decision on whether to create a live or dummy `X509CredentialNameEvaluator`. This is in a factory bean to allow for property replacement. The default (no value setting) is true.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`trustedNameCheckEnabled`
Do we emit a `X509CredentialNameEvaluator` or not.

### Fields inherited from class org.springframework.beans.factory.config.AbstractFactoryBean

`logger`

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`X509CredentialNameEvaluatorFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`protected X509CredentialNameEvaluator`
`createInstance()`
`Class<?>`
`getObjectType()`
`void`
`setTrustedNameCheckEnabled(boolean enabled)`
Set whether to perform the trusted name check.

### Methods inherited from class org.springframework.beans.factory.config.AbstractFactoryBean

`afterPropertiesSet, destroy, destroyInstance, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### trustedNameCheckEnabled

private boolean trustedNameCheckEnabled
Do we emit a `X509CredentialNameEvaluator` or not.

## Constructor Details

### X509CredentialNameEvaluatorFactoryBean

protected X509CredentialNameEvaluatorFactoryBean()

## Method Details

### setTrustedNameCheckEnabled

public void setTrustedNameCheckEnabled(boolean enabled)
Set whether to perform the trusted name check.

Parameters:
  `enabled` - whether we emit a `X509CredentialNameEvaluator` .

### getObjectType

@Nonnull public Class<?> getObjectType()

Specified by:
  `getObjectType` in interface `FactoryBean<X509CredentialNameEvaluator>`
Specified by:
  `getObjectType` in class `AbstractFactoryBean<X509CredentialNameEvaluator>`

### createInstance

@Nonnull protected X509CredentialNameEvaluator createInstance() throws Exception

Specified by:
  `createInstance` in class `AbstractFactoryBean<X509CredentialNameEvaluator>`
Throws:
  `Exception`